# Makefile for RSVC JAVA Package
.SUFFIXES: .class .java

JAVAC = javac
JAVACFLAGS = -O

CLASSOBJS = rsvcException.class \
	rsvcDataTypes.class \
	rsvcTimeStamp.class \
	rsvcDataEntry.class \
	rsvcData.class \
	rsvcDataOutputStream.class \
	rsvcDataInputStream.class \
	rsvcConfig.class \
	rsvcEvent.class \
	rsvcEventHandler.class \
	rsvcClient.class \
	rsvcClientReader.class \
	rsvcUdpClient.class \
	rsvcDisplay.class \
	rsvcClientTest.class \
	rsvcServerTest.class

all: $(CLASSOBJS)

.java.class:
	rm -f $@
	$(JAVAC) $(JAVACFLAGS) $<

clean:
	rm -f *~ core *.class
